;**********************************************************************
;   This file is a basic code template for object module code         *
;   generation on the PIC16F676. This file contains the               *
;   basic code building blocks to build upon.                         *
;                                                                     *
;   Refer to the MPASM User's Guide for additional information on     *
;   features of the assembler and linker (Document DS33014).          *
;                                                                     *
;   Refer to the respective PIC data sheet for additional             *
;   information on the instruction set.                               *
;                                                                     *
;**********************************************************************
;                                                                     *
;    Filename:      uim14.asm                                         *
;    Date:          18.02.2015 -                                      *
;    File Version:                                                    *
;                                                                     *
;    Author:     BORIS A KRUTITSKIY                                   *
;    Company:                                                         *
;                                                                     *
;                                                                     *
;**********************************************************************
;                                                                     *
;    Files required: P16F676.INC                                      *
;                                                                     *
;                                                                     *
;                                                                     *
;**********************************************************************
;                                                                     *
;    Notes:                                                           *
;                                                                     *
;                                                                     *
;                                                                     *
;                                                                     *
; -----------------------------------------------------
  #include <def_uim.txt> ;   ,   
  #include <macro_uim.txt> ;   
;     name project     
;             name project = proto
;______________________________________________________
;**********************************************************************

    list      p=16F676           ; list directive to define processor
    #include <p16F676.inc>        ; processor specific variable definitions

    errorlevel  -302              ; suppress message 302 from list file

    __CONFIG   _CP_OFF & _CPD_OFF & _BODEN_ON & _MCLRE_ON & _WDT_OFF & _PWRTE_ON & _INTRC_OSC_NOCLKOUT

; '__CONFIG' directive is used to embed configuration word within .asm file.
; The lables following the directive are located in the respective .inc file.
; See data sheet for additional information on configuration word settings.

;**********************************************************************
;
RESET_VECTOR    CODE    0x0000       ; processor reset vector
        goto    start                ; go to beginning of program

;
  #include <irq_uim.txt> ;  
;     (0x0004-0x001E)
;     10     goto irq
;     name project     
;             name project = proto
;--------------------------------------------------------
  #include <tabls_uim.txt> ;   ,
; , /   0000F
;--------------------------------------------------------
  #include <hd_uim_t.txt> ;      /
;    
;     name project     
;             name project = proto
;--------------------------------------------------------
  #include <soft_uim.txt> ;      /
;     
;     name project     
;             name project = proto
;--------------------------------------------------------
;  #include <kasdis_b.txt> ;       (+hard_uim.txt)
;--------------------------------------------------------
  #include <kasdis_c.txt> ;   
;--------------------------------------------------------
  #include <mlan_3a.txt> ;    uLAN  DS18B20
;--------------------------------------------------------
  #include <termo.txt> ;      DS18B20/ 
;--------------------------------------------------------
;  #include <libr_uim.txt> ;    
; -      
;     name project     
;             name project = proto
;----------------------------------------------------------------------------
;     
;      
;
;

;
;----------------------------------------------------------------------------
  #include <ee_uim.txt> ;    
;    EEPROM 
;     name project     
;             name project = proto
;----------------------------------------------------------------------------

        END                       ; directive 'end of program'